Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.metaabm
Enum SNeighborhoodType

    java.lang.Object
      java.lang.Enum<SNeighborhoodType>
          org.metaabm.SNeighborhoodType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SNeighborhoodType>, org.eclipse.emf.common.util.Enumerator

    public enum SNeighborhoodType

extends java.lang.Enum<SNeighborhoodType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration ' SNeighborhood Type', and utility methods for working with them.

See Also:
  `MetaABMPackage.getSNeighborhoodType()`

Enum Constant Summary
`EUCLIDIAN` The 'Euclidian' literal object.
`MOORE` The 'Moore' literal object.
`VON_NEUMANN` The 'Von Neumann' literal object.

Field Summary
`static int` | `EUCLIDIAN_VALUE` The 'Euclidian' literal value.
`static int` | `MOORE_VALUE` The 'Moore' literal value.
`static java.util.List<SNeighborhoodType>` | `VALUES` A public read-only list of all the 'SNeighborhood Type' enumerators.
`static int` | `VON_NEUMANN_VALUE` The 'Von Neumann' literal value.

Method Summary
`static SNeighborhoodType` | `get(int value)` Returns the 'SNeighborhood Type' literal with the specified integer value.
`static SNeighborhoodType` | `get(java.lang.String literal)` Returns the 'SNeighborhood Type' literal with the specified literal value.
`static SNeighborhoodType` | `getByName(java.lang.String name)` Returns the 'SNeighborhood Type' literal with the specified name.
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static SNeighborhoodType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SNeighborhoodType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EUCLIDIAN

    public static final SNeighborhoodType EUCLIDIAN

  The 'Euclidian' literal object.

  See Also:
    `EUCLIDIAN_VALUE`

### MOORE

    public static final SNeighborhoodType MOORE

  The 'Moore' literal object.

  See Also:
    `MOORE_VALUE`

### VON_NEUMANN

    public static final SNeighborhoodType VON_NEUMANN

  The 'Von Neumann' literal object.

  See Also:
    `VON_NEUMANN_VALUE`

Field Detail

### EUCLIDIAN_VALUE

    public static final int EUCLIDIAN_VALUE

  The 'Euclidian' literal value.

  If the meaning of 'Euclidian' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EUCLIDIAN`, Constant Field Values

### MOORE_VALUE

    public static final int MOORE_VALUE

  The 'Moore' literal value.

  If the meaning of 'Moore' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MOORE`, Constant Field Values

### VON_NEUMANN_VALUE

    public static final int VON_NEUMANN_VALUE

  The 'Von Neumann' literal value.

  If the meaning of 'Von Neumann' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VON_NEUMANN`, Constant Field Values

### VALUES

    public static final java.util.List<SNeighborhoodType> VALUES

  A public read-only list of all the 'SNeighborhood Type' enumerators.

Method Detail

### values

    public static SNeighborhoodType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SNeighborhoodType c : SNeighborhoodType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SNeighborhoodType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static SNeighborhoodType get(java.lang.String literal)

  Returns the 'SNeighborhood Type' literal with the specified literal value.

### getByName

    public static SNeighborhoodType getByName(java.lang.String name)

  Returns the 'SNeighborhood Type' literal with the specified name.

### get

    public static SNeighborhoodType get(int value)

  Returns the 'SNeighborhood Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SNeighborhoodType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD